bin-packing.cpp File Reference
`#include "test/int.hh"`
`#include <gecode/minimodel.hh>`
`#include <climits>`

Go to the source code of this file.

## Classes

class | Test::Int::BinPacking::LoadBinAssignment
| Generate load and bin assignments. More...
class | Test::Int::BinPacking::BPT
| Test with different bin loads and items More...
class | Test::Int::BinPacking::MBPT
| Test with different bin loads and items More...
class | Test::Int::BinPacking::CliqueMBPT
| Test for testing the max-clique finding for multi bin-packing. More...
class | Test::Int::BinPacking::CliqueMBPT::TestSpace
| Simple test space class. More...
class | Test::Int::BinPacking::Create
| Help class to create and register tests. More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Int
| Testing finite domain integers.
namespace | Test::Int::BinPacking
| Tests for bin-packing constraint

## Variables

Create | Test::Int::BinPacking::c